package com.marvinelsen.willow.domain.entities

import com.marvinelsen.willow.domain.entities.definitions.CrossStraitsDefinition
import com.marvinelsen.willow.domain.entities.definitions.MoedictDefinition

data class DictionaryEntry(
    val traditional: String,
    val simplified: String,
    val pinyinWithToneMarks: String,
    val pinyinWithToneNumbers: String,
    val zhuyin: String,
    val cedictDefinitions: List<List<String>>,
    val crossStraitsDefinitions: List<CrossStraitsDefinition>,
    val moedictDefinitions: List<MoedictDefinition>,
)
